org.apache.cassandra.db

## Class ClusteringBoundary

- java.lang.Object
- - org.apache.cassandra.db.AbstractClusteringPrefix
  - - org.apache.cassandra.db.AbstractBufferClusteringPrefix
    - - org.apache.cassandra.db.ClusteringBoundOrBoundary
      - - org.apache.cassandra.db.ClusteringBoundary

All Implemented Interfaces:
  IMeasurableMemory, Clusterable, ClusteringPrefix

    public class ClusteringBoundary
    extends ClusteringBoundOrBoundary

The threshold between two different ranges, i.e. a shortcut for the combination of two ClusteringBounds -- one specifying the end of one of the ranges, and its (implicit) complement specifying the beginning of the other.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.ClusteringBoundOrBoundary

`ClusteringBoundOrBoundary.Serializer`

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.ClusteringPrefix

`ClusteringPrefix.Deserializer, ClusteringPrefix.Kind`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.ClusteringBoundOrBoundary

`serializer`

### Fields inherited from class org.apache.cassandra.db.AbstractBufferClusteringPrefix

`EMPTY_VALUES_ARRAY, kind, values`

### Constructor Summary

Constructors
`protected` `ClusteringBoundary(ClusteringPrefix.Kind kind, java.nio.ByteBuffer[] values)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClusteringBound` `closeBound(boolean reversed)`
`ClusteringBoundary` `copy(AbstractAllocator allocator)`
`static ClusteringBoundary` `create(ClusteringPrefix.Kind kind, java.nio.ByteBuffer[] values)`
`ClusteringBoundary` `invert()` Returns the inverse of the current bound.
`ClusteringBound` `openBound(boolean reversed)`

### Methods inherited from class org.apache.cassandra.db.ClusteringBoundOrBoundary

`exclusiveClose, exclusiveCloseInclusiveOpen, exclusiveOpen, inclusiveClose, inclusiveCloseExclusiveOpen, inclusiveOpen, isBoundary, isClose, isOpen, toString, toString`

### Methods inherited from class org.apache.cassandra.db.AbstractBufferClusteringPrefix

`clustering, get, getRawValues, kind, size, unsharedHeapSize, unsharedHeapSizeExcludingData`

### Methods inherited from class org.apache.cassandra.db.AbstractClusteringPrefix

`dataSize, digest, equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusteringBoundary

    protected ClusteringBoundary(ClusteringPrefix.Kind kind,
                                 java.nio.ByteBuffer[] values)

### Method Detail

#### create

    public static ClusteringBoundary create(ClusteringPrefix.Kind kind,
                                            java.nio.ByteBuffer[] values)

#### invert

    public ClusteringBoundary invert()

Description copied from class: `ClusteringBoundOrBoundary`
Returns the inverse of the current bound.

This invert both start into end (and vice-versa) and inclusive into exclusive (and vice-versa).

Specified by:
  `invert` in class `ClusteringBoundOrBoundary`
Returns:
  the invert of this bound. For instance, if this bound is an exlusive start, this return an inclusive end with the same values.

#### copy

    public ClusteringBoundary copy(AbstractAllocator allocator)

Overrides:
  `copy` in class `ClusteringBoundOrBoundary`

#### openBound

    public ClusteringBound openBound(boolean reversed)

#### closeBound

    public ClusteringBound closeBound(boolean reversed)